import { request } from 'umi';
import { getStoremanagement } from '@/global_data';

export default {
   /**
      * 获取部门分页
      */
   GetDeparent(data) {
    return request(getStoremanagement()+'/api/MemberInfoService/GetMemberTag', {
        method: 'POST',
        data
    });
},

  //获取预定商品
  GetReservationGoods(data) {
    return request(getStoremanagement()+'/api/Reservation/GetReservationGoods', {
        method: 'POST',
        data
    });
},

//预定部门汇总
GetReservationOrg(data) {
    return request(getStoremanagement()+'/api/Reservation/GetReservationOrg', {
        method: 'POST',
        data
    });
},

//获取预定人员
GetReservationUser(data) {
    return request(getStoremanagement()+'/api/Reservation/GetReservationUser', {
        method: 'POST',
        data
    });
},

 //获取预定商品
 GetReservationGoodsDetailed(data) {
    return request(getStoremanagement()+'/api/Reservation/GetReservationGoodsDetailed', {
        method: 'POST',
        data
    });
},

//获取预定商品Excel
GetReservationGoodsExcel(data) {
    return request(getStoremanagement()+'/api/Reservation/GetReservationGoodsExcel', {
        method: 'POST',
        responseType: 'blob',
        data
    });
},

 /**
     * 获取预定人员Excel
     * @param {*} data
     */
 GetReservationOrgExcel(data) {
    return request('/groupmeal/api/Reservation/GetReservationOrgExcel', {
        method: 'POST',
        responseType: 'blob',
        data
    });
},

 /**
     * 获取预定人员Excel
     * @param {*} data
     */
 GetReservationUserExcel(data) {
    return request('/groupmeal/api/Reservation/GetReservationUserExcel', {
        method: 'POST',
        responseType: 'blob',
        data
    });
},


 /**
     * 获取预定人员Excel
     * @param {*} data
     */
 GetReservationGoodsDetailedExcel(data) {
    return request('/groupmeal/api/Reservation/GetReservationGoodsDetailedExcel', {
        method: 'POST',
        responseType: 'blob',
        data
    });
},



   
}
